Page MenuHomePhabricator

Add alias for or rename Special:CentralAuth
Closed, ResolvedPublic

Description

https://en.wikipedia.org/wiki/Special:CentralAuth/Nemo_bis

I think "Special:CentralAuth" is a weird implementation detail that probably doesn't need to be so directly exposed in the user interface. Perhaps we can add an alias or rename the Special page and make "Special:CentralAuth" an alias? Something like "Special:GlobalUser" would be fine.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=18837

Details

Reference
bz71275
Related Gerrit Patches:
mediawiki/extensions/CentralAuth : masterMake Special:GlobalAccount alias for Special:CentralAuth

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:55 AM
bzimport set Reference to bz71275.
bzimport added a subscriber: Unknown Object (MLST).

There's already a [[Special:GlobalUsers]]. Introducing a "Special:GlobalUser" may make things confusing. Can another name be suggested?

Perhaps "Special:GlobalAccount"?

Paladox set Security to None.Apr 26 2015, 5:53 PM

Was looking at CentralAuth and found this request, so might as well do it (even after 4 years :P)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 30 2017, 8:22 AM

https://gerrit.wikimedia.org/r/#/c/401013/ (Jenkins is not posting the change for some reason)

Change 401013 had a related patch set uploaded (by Reception123; owner: Reception123):
[mediawiki/extensions/CentralAuth@master] Make Special:GlobalAccount alias for Special:CentralAuth

https://gerrit.wikimedia.org/r/401013

Thanks for working on this. I'd prefer that the Special page be renamed to "Special:GlobalAccount" or maybe even "Special:AccountInfo" over keeping the existing "Special:CentralAuth" canonical name. That is, could we make "Special:CentralAuth" the alias and then rename this page to have a clearer and less jargon-y page title?

Since this is a WMF-used extension, I assume someone needs to decide this / approve?

Since this is a WMF-used extension, I assume someone needs to decide this / approve?

Not really. It's always possible someone who works at the Wikimedia Foundation will chime in, as much as it's possible that a community volunteer will as well. :-)

MZMcBride renamed this task from Add alias for Special:CentralAuth to Add alias for or rename Special:CentralAuth.Dec 30 2017, 6:10 PM

Well it should probably be discussed more anyway :D

Well it should probably be discussed more anyway :D

All right. This task has been sitting here for a few years, as you note. Anyone is welcome to comment and discuss.

The options I see:

  • do nothing (keep Special:CentralAuth/Foo)
  • add Special:GlobalUser/Foo alias (potentially confusing because Special:GlobalUsers exists)
  • add Special:AccountInfo/Foo alias (or rename Special:CentralAuth to Special:AccountInfo)
  • add Special:GlobalAccount/Foo alias (or rename Special:CentralAuth to Special:GlobalAccount)
  • add Special:GlobalAccountInfo/Foo alias (or rename Special:CentralAuth to Special:GlobalAccountInfo)

I vote for doing nothing.

Change 401013 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Make Special:GlobalAccount alias for Special:CentralAuth

https://gerrit.wikimedia.org/r/401013

MarcoAurelio closed this task as Resolved.May 18 2018, 7:37 PM
MarcoAurelio assigned this task to Reception123.